# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: cctools_osx-64
  version: 949.0.1
source:
  - patches:
      - patches/530-ld64-add-conda-specific-env-vars-to-modify-lib-search-paths.patch
      - patches/dont_link_with_libcxxabi.patch
    sha256: 24501b49a0cc0ec13451a36a62e6016a83a1fc8b3fdc818c113ac2a6b6d486f6
    url: https://github.com/tpoechtrager/cctools-port/archive/dbcdc0d36eeb47a7ac4b7d5abe772886fec52e56.tar.gz
build:
  activate_in_script: true
  ignore_run_exports:
    - zlib
  number: 23
  string: hc7db93f_23
requirements:
  build:
    - autoconf 2.69 pl526he370928_5
    - automake 1.16.2 pl526_0
    - clang_bootstrap_osx-64 10.0.0 h05bbb7f_0
    - m4 1.4.18 h1de35cc_1
    - make 4.2.1 h3efe00b_1
    - perl 5.26.2 h4e221da_0
  host:
    - libcxx 12.0.0 h2f01273_0
    - libllvm12 12.0.0 h9b2ccf5_3
    - llvm 12.0.0 h32b19bc_3
    - llvm-tools 12.0.0 h9b2ccf5_3
    - llvmdev 12.0.0 h9b2ccf5_3
    - tapi 1000.10.8 ha1b3eb9_0
    - zlib 1.2.11 h1de35cc_3
  run:
    - ld64_osx-64 >=530,<531.0a0
    - ldid
    - libcxx
    - libllvm12 >=12.0.0,<12.1.0a0
  run_constrained:
    - cctools 949.0.1.*
test:
  commands:
    - test -f $PREFIX/libexec/as/x86_64/as
    - test -f $PREFIX/bin/x86_64-apple-darwin13.4.0-as
    - test -f $PREFIX/bin/x86_64-apple-darwin13.4.0-ranlib
    - test -f $PREFIX/bin/x86_64-apple-darwin13.4.0-ld
    - test -f $PREFIX/bin/x86_64-apple-darwin13.4.0-ar
    - test -f $PREFIX/bin/x86_64-apple-darwin13.4.0-otool
    - $PREFIX/bin/x86_64-apple-darwin13.4.0-otool -l $PREFIX/bin/x86_64-apple-darwin13.4.0-otool
    - test -f $PREFIX/bin/x86_64-apple-darwin13.4.0-install_name_tool
    - test -f $PREFIX/bin/x86_64-apple-darwin13.4.0-strip
about:
  home: https://github.com/tpoechtrager/cctools-port
  license: APSL-2.0
  license_family: Other
  license_file: cctools/APPLE_LICENSE
  summary: Assembler, archiver, ranlib, libtool, otool et al for Darwin Mach-O files
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - davidbrochart
    - isuruf
    - katietz
    - mingwandroid
